%define with_jlfgr 0
Name:          openorb-board
Version:       1.4.0
Release:       %mkrel 1
Summary:       OpenORB Management Board
Group:         Development/Java
URL:           http://openorb.sourceforge.net/
Source0:       http://downloads.sourceforge.net/openorb/ManagementBoard-%{version}-src.tgz
Source1:       http://downloads.sourceforge.net/project/openorb/tools/%{version}/Tools-%{version}-src.tgz
Patch0:        openorb-board-1.4.0-build_xml.patch
License:       BSD
BuildRequires: ant
BuildRequires: apache-commons-cli
BuildRequires: avalon-framework
BuildRequires: avalon-logkit
BuildRequires: excalibur-configuration
BuildRequires: java-1.5.0-gcj-devel
BuildRequires: javahelp2
%if %with_jlfgr
BuildRequires: jlfgr
%endif
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: openorb == %{version}
BuildRequires: openorb-evaluator == %{version}
BuildRequires: openorb-ins == %{version}
BuildRequires: openorb-ir == %{version}
BuildRequires: openorb-notify == %{version}
BuildRequires: openorb-ots == %{version}
BuildRequires: openorb-pss == %{version}
BuildRequires: openorb-trader == %{version}
Requires:      avalon-framework
Requires:      avalon-logkit
Requires:      excalibur-configuration
Requires:      jpackage-utils
Requires:      openorb == %{version}
Requires:      openorb-ins == %{version}
Requires:      openorb-evaluator == %{version}
Requires:      openorb-pss == %{version}
Requires:      openorb-ots == %{version}
Requires:      openorb-ir == %{version}
Requires:      openorb-notify == %{version}
Requires:      openorb-trader == %{version}
Requires:      javahelp2
BuildArch:     noarch

%description
OpenORB is a CORBA Object Request Broker fully developed in
Java. It fully complies with the CORBA 2.4.2 specification and
provides a lot of features, services and extensions.

This package contains OpenORB Management Board libraries.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
OpenORB Management Board.

This package contains javadoc for %{name}.

%prep

%setup -q -n ManagementBoard

gzip -dc %{SOURCE1} | tar xf -

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

%patch0 -p0

#if #with_jlfgr
# ln -sf $(build-classpath jlfgr) lib/ext/jlfgr-1.0.jar
#endif

%build

unset JAVA_HOME
export JAVA_HOME=/usr/lib/jvm/java-gcj
export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath  avalon-framework-impl avalon-framework-api avalon-logkit excalibur-configuration commons-cli)
CLASSPATH=$CLASSPATH:$(build-classpath javahelp2 openorb-omg openorb-tools tools-openorb openorb)
CLASSPATH=$CLASSPATH:$(build-classpath openorb-evaluator openorb-ir openorb-notify openorb-trader)
CLASSPATH=$CLASSPATH:$(build-classpath openorb-pss openorb-notify openorb-ins openorb-tns)
CLASSPATH=$CLASSPATH:tools/lib/tools-%{version}.jar
CLASSPATH=$CLASSPATH:tools/lib/launcher.jar

ant \
  -DVERSION_MAJOR=1 \
  -DVERSION_MINOR=4 \
  -DVERSION_MINOR_CHANGE=0 \
  -buildfile src/build.xml \
  -Dbuild.compiler=modern \
  -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 \
  jar-all compile-javadoc

%install

mkdir -p %{buildroot}%{_javadir}

install -m 644 lib/openorb_board-%{version}.jar %{buildroot}%{_javadir}/openorb-board-%{version}.jar
install -m 644 lib/openorb_ins_plugin-%{version}.jar %{buildroot}%{_javadir}/openorb-ins-plugin-%{version}.jar
install -m 644 lib/openorb_ir_plugin-%{version}.jar %{buildroot}%{_javadir}/openorb-ir-plugin-%{version}.jar
install -m 644 lib/openorb_notify_plugin-%{version}.jar %{buildroot}%{_javadir}/openorb-notify-plugin-%{version}.jar
install -m 644 lib/openorb_trader_plugin-%{version}.jar %{buildroot}%{_javadir}/openorb-trader-plugin-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/openorb-board-%{version}/omg
cp -pr doc/javadoc/* %{buildroot}%{_javadocdir}/openorb-board-%{version}/
ln -s openorb-board-%{version} %{buildroot}%{_javadocdir}/openorb-board

%files
%{_javadir}/openorb-board-%{version}.jar
%{_javadir}/openorb-board.jar
%{_javadir}/openorb-ins-plugin-%{version}.jar
%{_javadir}/openorb-ins-plugin.jar
%{_javadir}/openorb-ir-plugin-%{version}.jar
%{_javadir}/openorb-ir-plugin.jar
%{_javadir}/openorb-notify-plugin-%{version}.jar
%{_javadir}/openorb-notify-plugin.jar
%{_javadir}/openorb-trader-plugin-%{version}.jar
%{_javadir}/openorb-trader-plugin.jar
%doc LICENSE.txt README

%files javadoc
%{_javadocdir}/openorb-board-%{version}
%{_javadocdir}/openorb-board



%changelog

* Sun Nov 27 2011 dmorgan <dmorgan> 1.4.0-1.mga2
+ Revision: 172545
- Clean spec file

  + gil <gil>
    - imported package openorb-board


* Sat May 28 2011 gil <gil> 1.4.0-0.mga1
- initial rpm